diff tests/test-file-has-acl.sh @ 10444:e7595530873e

avoid spurious test failure when library is built without ACL support * m4/acl.m4 (USE_ACL): Define as a shell variable, too, for... * modules/acl-tests (Makefile.am) [TESTS_ENVIRONMENT]: Add USE_ACL. * tests/test-file-has-acl.sh: Skip if USE_ACL == 0. * tests/test-copy-acl.sh: Likewise.
author Jim Meyering <meyering@redhat.com>
date Mon, 15 Sep 2008 14:37:49 +0200
parents 2f94bd2a861d
children 957a85702f2b
line wrap: on
line diff
--- a/tests/test-file-has-acl.sh	Tue Sep 16 03:16:11 2008 +0200
+++ b/tests/test-file-has-acl.sh	Mon Sep 15 14:37:49 2008 +0200
@@ -3,6 +3,12 @@
 # Show all commands when run with environment variable VERBOSE=yes.
 test -z "$VERBOSE" || set -x
 
+test "$USE_ACL" = 0 &&
+  {
+    echo "Skipping test: insufficient ACL support"
+    exit 77
+  }
+
 # func_tmpdir
 # creates a temporary directory.
 # Sets variable